---
title: <glyph>
slug: Web/SVG/Element/glyph
tags:
  - Element
  - Reference
  - SVG
  - SVG Text Content
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>A <strong><code>&lt;glyph&gt;</code></strong> defines a single glyph in an SVG font.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes" title="en/SVG/Attribute#Core">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes" title="en/SVG/Attribute#Presentation">Presentation attributes</a></li>
 <li>{{SVGAttr("class")}}</li>
 <li>{{SVGAttr("style")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("d")}}</li>
 <li>{{SVGAttr("horiz-adv-x")}}</li>
 <li>{{SVGAttr("vert-origin-x")}}</li>
 <li>{{SVGAttr("vert-origin-y")}}</li>
 <li>{{SVGAttr("vert-adv-y")}}</li>
 <li>{{SVGAttr("unicode")}}</li>
 <li>{{SVGAttr("glyph-name")}}</li>
 <li>{{SVGAttr("orientation")}}</li>
 <li>{{SVGAttr("arabic-form")}}</li>
 <li>{{SVGAttr("lang")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGGlyphElement")}} interface.</p>

<h2 id="Example">Example</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html; highlight[17,18]">&lt;svg width="400px" height="300px" version="1.1"
    xmlns="http://www.w3.org/2000/svg"&gt;
&lt;!-- Example copied from https://www.w3.org/TR/SVG/fonts.html#GlyphElement --&gt;
  &lt;defs&gt;

    &lt;font id="Font1" horiz-adv-x="1000"&gt;
      &lt;font-face font-family="Super Sans" font-weight="bold" font-style="normal"
          units-per-em="1000" cap-height="600" x-height="400"
          ascent="700" descent="300"
          alphabetic="0" mathematical="350" ideographic="400" hanging="500"&gt;
        &lt;font-face-src&gt;
          &lt;font-face-name name="Super Sans Bold"/&gt;
        &lt;/font-face-src&gt;
      &lt;/font-face&gt;

      &lt;missing-glyph&gt;&lt;path d="M0,0h200v200h-200z"/&gt;&lt;/missing-glyph&gt;
      &lt;glyph unicode="!" horiz-adv-x="80" d="M0,0h200v200h-200z"&gt;&lt;/glyph&gt;
      &lt;glyph unicode="@" d="M0,50l100,300l400,100z"&gt;&lt;/glyph&gt;
    &lt;/font&gt;
  &lt;/defs&gt;
  &lt;text x="100" y="100"
      style="font-family: 'Super Sans', Helvetica, sans-serif;
             font-weight: bold; font-style: normal"&gt;Text
    using embe@dded font!&lt;/text&gt;
&lt;/svg&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 400, 300)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG1.1', 'fonts.html#GlyphElement', '&lt;glyph&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.glyph")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("font")}}</li>
 <li>{{SVGElement("missing-glyph")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/SVG_fonts" title="en/SVG/Tutorial/SVG_Fonts">SVG tutorial: SVG fonts</a></li>
</ul>
